Bug 1650695 - [abrt] cmake: cmGeneratorTarget::IsSystemIncludeDirectory(): cmake killed by SIGABRT
Summary: [abrt] cmake: cmGeneratorTarget::IsSystemIncludeDirectory(): cmake killed by ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a43c9ccd0974cf4a5ca36465b77...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 21:11 UTC by Alicia Boya García
Modified: 2019-06-10 05:30 UTC (History)
7 users (show)

Fixed In Version: cmake-3.14.5-1.fc30 cmake-3.14.5-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 00:52:41 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (57.62 KB, text/plain)
2018-11-16 21:11 UTC, Alicia Boya García
no flags Details
File: cgroup (350 bytes, text/plain)
2018-11-16 21:11 UTC, Alicia Boya García
no flags Details
File: core_backtrace (5.82 KB, text/plain)
2018-11-16 21:11 UTC, Alicia Boya García
no flags Details
File: cpuinfo (1.41 KB, text/plain)
2018-11-16 21:12 UTC, Alicia Boya García
no flags Details
File: dso_list (3.62 KB, text/plain)
2018-11-16 21:12 UTC, Alicia Boya García
no flags Details
File: environ (7.78 KB, text/plain)
2018-11-16 21:12 UTC, Alicia Boya García
no flags Details
File: limits (1.29 KB, text/plain)
2018-11-16 21:12 UTC, Alicia Boya García
no flags Details
File: maps (24.15 KB, text/plain)
2018-11-16 21:12 UTC, Alicia Boya García
no flags Details
File: mountinfo (3.92 KB, text/plain)
2018-11-16 21:12 UTC, Alicia Boya García
no flags Details
File: open_fds (476 bytes, text/plain)
2018-11-16 21:12 UTC, Alicia Boya García
no flags Details
File: proc_pid_status (1.31 KB, text/plain)
2018-11-16 21:12 UTC, Alicia Boya García
no flags Details

Description Alicia Boya García 2018-11-16 21:11:48 UTC
Description of problem:
The crash occurs when building WebKit trunk, e.g. r238291 (or git: 9d8c5e02eaf09fc399aef57eb556f000c5ed4bec)

The problem occurs since Fedora 29. Upstream binaries from https://cmake.org/download/ work just fine.

Version-Release number of selected component:
cmake-3.12.1-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        cmake -DPORT=GTK -DCMAKE_EXPORT_COMPILE_COMMANDS=ON -DCMAKE_BUILD_TYPE=Debug -G Eclipse CDT4 - Ninja -DDEVELOPER_MODE=ON -DENABLE_EXPERIMENTAL_FEATURES=ON /webkit
crash_function: cmGeneratorTarget::IsSystemIncludeDirectory
executable:     /usr/bin/cmake
journald_cursor: s=2482529c5c444f7ba49b3c67a23f96b9;i=5ba53;b=68e4c201b80f4d6a8cd19356cfb1745b;m=35244cf3a;t=57ace2d817543;x=411b8612d8b75491
kernel:         4.18.18-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 cmGeneratorTarget::IsSystemIncludeDirectory at /usr/include/c++/8/bits/stl_vector.h:1654
 #5 cmLocalGenerator::<lambda(const string&, const string&)>::operator() at /usr/src/debug/cmake-3.12.1-1.fc29.x86_64/Source/cmLocalGenerator.cxx:216
 #6 __gnu_cxx::__ops::_Iter_comp_iter<cmLocalGenerator::MoveSystemIncludesToEnd(std::vector<std::__cxx11::basic_string<char> >&, const string&, const string&, const cmGeneratorTarget*) const::<lambda(const string&, const string&)> >::operator()<__gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char>*, std::vector<std::__cxx11::basic_string<char> > >, __gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char>*, std::vector<std::__cxx11::basic_string<char> > > > at /usr/include/c++/8/bits/predefined_ops.h:143
 #7 std::__insertion_sort<__gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char>*, std::vector<std::__cxx11::basic_string<char> > >, __gnu_cxx::__ops::_Iter_comp_iter<cmLocalGenerator::MoveSystemIncludesToEnd(std::vector<std::__cxx11::basic_string<char> >&, const string&, const string&, const cmGeneratorTarget*) const::<lambda(const string&, const string&)> > >(__gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > >, __gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > >, __gnu_cxx::__ops::_Iter_comp_iter<cmLocalGenerator::MoveSystemIncludesToEnd(std::vector<std::__cxx11::basic_string<char> >&, const string&, const string&, const cmGeneratorTarget*) const::<lambda(const string&, const string&)> >) at /usr/include/c++/8/bits/stl_algo.h:1847
 #8 std::__chunk_insertion_sort<__gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char>*, std::vector<std::__cxx11::basic_string<char> > >, long int, __gnu_cxx::__ops::_Iter_comp_iter<cmLocalGenerator::MoveSystemIncludesToEnd(std::vector<std::__cxx11::basic_string<char> >&, const string&, const string&, const cmGeneratorTarget*) const::<lambda(const string&, const string&)> > > at /usr/include/c++/8/bits/stl_iterator.h:783
 #9 std::__merge_sort_with_buffer<__gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char>*, std::vector<std::__cxx11::basic_string<char> > >, std::__cxx11::basic_string<char>*, __gnu_cxx::__ops::_Iter_comp_iter<cmLocalGenerator::MoveSystemIncludesToEnd(std::vector<std::__cxx11::basic_string<char> >&, const string&, const string&, const cmGeneratorTarget*) const::<lambda(const string&, const string&)> > >(__gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > >, __gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > >, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > *, __gnu_cxx::__ops::_Iter_comp_iter<cmLocalGenerator::MoveSystemIncludesToEnd(std::vector<std::__cxx11::basic_string<char> >&, const string&, const string&, const cmGeneratorTarget*) const::<lambda(const string&, const string&)> >) at /usr/include/c++/8/bits/stl_algo.h:2716
 #10 std::__stable_sort_adaptive<__gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char>*, std::vector<std::__cxx11::basic_string<char> > >, std::__cxx11::basic_string<char>*, long int, __gnu_cxx::__ops::_Iter_comp_iter<cmLocalGenerator::MoveSystemIncludesToEnd(std::vector<std::__cxx11::basic_string<char> >&, const string&, const string&, const cmGeneratorTarget*) const::<lambda(const string&, const string&)> > >(__gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > >, __gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >*, std::vector<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > > > >, std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> > *, long, __gnu_cxx::__ops::_Iter_comp_iter<cmLocalGenerator::MoveSystemIncludesToEnd(std::vector<std::__cxx11::basic_string<char> >&, const string&, const string&, const cmGeneratorTarget*) const::<lambda(const string&, const string&)> >) at /usr/include/c++/8/bits/stl_iterator.h:966
 #11 std::__stable_sort<__gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char>*, std::vector<std::__cxx11::basic_string<char> > >, __gnu_cxx::__ops::_Iter_comp_iter<cmLocalGenerator::MoveSystemIncludesToEnd(std::vector<std::__cxx11::basic_string<char> >&, const string&, const string&, const cmGeneratorTarget*) const::<lambda(const string&, const string&)> > > at /usr/include/c++/8/bits/stl_algo.h:4992
 #12 std::stable_sort<__gnu_cxx::__normal_iterator<std::__cxx11::basic_string<char>*, std::vector<std::__cxx11::basic_string<char> > >, cmLocalGenerator::MoveSystemIncludesToEnd(std::vector<std::__cxx11::basic_string<char> >&, const string&, const string&, const cmGeneratorTarget*) const::<lambda(const string&, const string&)> > at /usr/include/c++/8/bits/stl_algo.h:5075
 #13 cmLocalGenerator::MoveSystemIncludesToEnd at /usr/src/debug/cmake-3.12.1-1.fc29.x86_64/Source/cmLocalGenerator.cxx:213

Comment 1 Alicia Boya García 2018-11-16 21:11:56 UTC
Created attachment 1506554 [details]
File: backtrace

Comment 2 Alicia Boya García 2018-11-16 21:11:58 UTC
Created attachment 1506555 [details]
File: cgroup

Comment 3 Alicia Boya García 2018-11-16 21:11:59 UTC
Created attachment 1506556 [details]
File: core_backtrace

Comment 4 Alicia Boya García 2018-11-16 21:12:00 UTC
Created attachment 1506557 [details]
File: cpuinfo

Comment 5 Alicia Boya García 2018-11-16 21:12:02 UTC
Created attachment 1506558 [details]
File: dso_list

Comment 6 Alicia Boya García 2018-11-16 21:12:03 UTC
Created attachment 1506559 [details]
File: environ

Comment 7 Alicia Boya García 2018-11-16 21:12:04 UTC
Created attachment 1506560 [details]
File: limits

Comment 8 Alicia Boya García 2018-11-16 21:12:06 UTC
Created attachment 1506561 [details]
File: maps

Comment 9 Alicia Boya García 2018-11-16 21:12:07 UTC
Created attachment 1506562 [details]
File: mountinfo

Comment 10 Alicia Boya García 2018-11-16 21:12:09 UTC
Created attachment 1506563 [details]
File: open_fds

Comment 11 Alicia Boya García 2018-11-16 21:12:10 UTC
Created attachment 1506564 [details]
File: proc_pid_status

Comment 12 Alicia Boya García 2018-11-16 21:16:30 UTC
The crash is reproducible every time when using Fedora 29's packaged CMake in both my recently updated desktop and laptop.

Output at the time of the crash:

[...]

-- Performing Test CXX_COMPILER_SUPPORTS_-Wno-sign-compare
-- Performing Test CXX_COMPILER_SUPPORTS_-Wno-sign-compare - Success
-- Performing Test CXX_COMPILER_SUPPORTS_-Wno-dangling-else
-- Performing Test CXX_COMPILER_SUPPORTS_-Wno-dangling-else - Success
-- Platform-specific CMakeLists not found: /webkit/PerformanceTests/MallocBench/MallocBench/PlatformGTK.cmake
-- Platform-specific CMakeLists not found: /webkit/PerformanceTests/PlatformGTK.cmake
-- Enabled features:
--  ENABLE_ACCELERATED_2D_CANVAS .......... OFF
--  ENABLE_BUBBLEWRAP_SANDBOX               ON
--  ENABLE_DRAG_SUPPORT ................... ON
--  ENABLE_GEOLOCATION                      ON
--  ENABLE_GLES2 .......................... OFF
--  ENABLE_GTKDOC                           OFF
--  ENABLE_ICONDATABASE ................... ON
--  ENABLE_INTROSPECTION                    ON
--  ENABLE_JIT ............................ ON
--  ENABLE_MEDIA_SOURCE                     ON
--  ENABLE_MINIBROWSER .................... ON
--  ENABLE_OPENGL                           ON
--  ENABLE_PLUGIN_PROCESS_GTK2 ............ ON
--  ENABLE_QUARTZ_TARGET                    OFF
--  ENABLE_SAMPLING_PROFILER .............. ON
--  ENABLE_SPELLCHECK                       ON
--  ENABLE_TOUCH_EVENTS ................... ON
--  ENABLE_VIDEO                            ON
--  ENABLE_WAYLAND_TARGET ................. ON
--  ENABLE_WEBDRIVER                        ON
--  ENABLE_WEB_AUDIO ...................... ON
--  ENABLE_WEB_CRYPTO                       ON
--  ENABLE_X11_TARGET ..................... ON
--  USE_LIBHYPHEN                           ON
--  USE_LIBNOTIFY ......................... ON
--  USE_LIBSECRET                           ON
--  USE_SYSTEM_MALLOC ..................... OFF
--  USE_WOFF2                               ON
-- Configuring done
CMake Warning in CMakeLists.txt:
  The build directory is a subdirectory of the source directory.

  This is not supported well by Eclipse.  It is strongly recommended to use a
  build directory which is a sibling of the source directory.


cmake: /builddir/build/BUILD/cmake-3.12.1/Source/cmGeneratorTarget.cxx:746: bool cmGeneratorTarget::IsSystemIncludeDirectory(const string&, const string&, const string&) const: Assertion `this->GetType() != cmStateEnums::INTERFACE_LIBRARY' failed.

Comment 13 Fedora Update System 2019-06-01 09:02:04 UTC
FEDORA-2019-0e802c1590 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0e802c1590

Comment 14 Fedora Update System 2019-06-02 01:43:18 UTC
cmake-3.14.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0e802c1590

Comment 15 Fedora Update System 2019-06-02 09:59:53 UTC
cmake-3.14.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c88e6fbfba

Comment 16 Fedora Update System 2019-06-10 00:52:41 UTC
cmake-3.14.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-06-10 05:30:01 UTC
cmake-3.14.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.